Quassel IRC - Bug #1449

Aliases using $1:hosthame not working properly
01/03/2018 09:58 PM - Exterminador

Status: Resolved Start date: 01/03/2018
Priority: Normal Due date:

Assignee: % Done: 0%
Category: General / Unspecified Estimated time: 0.00 hour
Target version: Some future release

Version: 0.12.4 0S: Linux
Description

I've mapped the alias /kb to do "/mode $channel b $1:hostname; /kick $1 $2..". when the user is using ipv4 address, the ban works
well. but when the user is using ipv6 address/cloaked host, the ban is set like 2001:2002:2003!"@*

History

#1 - 01/04/2018 04:18 AM - genius3000

| believe this is just a syntax error in your alias:

b $1l:hostname

would become

b my.host.com (or 127.0.12.34, etc)

which as a ban mask would (at first) be seen as just the nick -> my.host.com!*@*

| imagine the server is smart enough to realize the '." makes it a host and therefore ends up correct -> *I*@my.host.com

The "' in an IPv6 must not be triggering the same logic and is read as a nick. You'll want to change your ban mask to be explicit about the format:

*1*@$1:hostname

and just to be safe | would add a '+' in front of the 'b', making the final alias:
/mode $channel +b *!*@$1:hostname; /kick $1 $2.."

That's how | have my 'kb' alias and it works fine with an IPv6 host.

#2 - 01/05/2018 06:52 PM - Exterminador

Problem is solved with your tip, genius3000. Can someone close the bug report?

Thanks.

#3 - 01/19/2018 07:21 AM - genius3000

- Status changed from New to Resolved

Resolved as a non-bug.
